org.appng.core.domain

## Enum DatabaseConnection.DatabaseType

- java.lang.Object
- - java.lang.Enum<DatabaseConnection.DatabaseType>
  - - org.appng.core.domain.DatabaseConnection.DatabaseType

- All Implemented Interfaces:
    Serializable, Comparable<DatabaseConnection.DatabaseType>
  Enclosing class:
    DatabaseConnection

      public static enum DatabaseConnection.DatabaseType
      extends Enum<DatabaseConnection.DatabaseType>

  enum-type for the supported databases

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HSQL` HSQL DB
    `MSSQL` Microsoft SQL Server
    `MYSQL` MySQL
    `POSTGRESQL` PostgreSQL

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDataSourceClassName()` fully qualified class-name of the `javax.sql.DataSource` for this type
    `String` | `getDefaultDriver()` fully qualified class-name of the `java.sql.Driver` for this type
    `Integer` | `getDefaultPort()` the default port
    `String` | `getDefaultValidationQuery()` the default validation query
    `String` | `getTemplateUrl()` an example JDBC-URL
    `static DatabaseConnection.DatabaseType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseConnection.DatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MYSQL

          public static final DatabaseConnection.DatabaseType MYSQL

      MySQL

    - #### MSSQL

          public static final DatabaseConnection.DatabaseType MSSQL

      Microsoft SQL Server

    - #### POSTGRESQL

          public static final DatabaseConnection.DatabaseType POSTGRESQL

      PostgreSQL

    - #### HSQL

          public static final DatabaseConnection.DatabaseType HSQL

      HSQL DB

  - ### Method Detail

    - #### values

          public static DatabaseConnection.DatabaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseConnection.DatabaseType c : DatabaseConnection.DatabaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseConnection.DatabaseType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultDriver

          public String getDefaultDriver()

      fully qualified class-name of the `java.sql.Driver` for this type

    - #### getTemplateUrl

          public String getTemplateUrl()

      an example JDBC-URL

    - #### getDefaultPort

          public Integer getDefaultPort()

      the default port

    - #### getDefaultValidationQuery

          public String getDefaultValidationQuery()

      the default validation query

    - #### getDataSourceClassName

          public String getDataSourceClassName()

      fully qualified class-name of the `javax.sql.DataSource` for this type

Copyright © 2011–2023 aiticon GmbH. All rights reserved.